# Generated from latest_ruby-3.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name latest_ruby

Name: rubygem-%{gem_name}
Version: 3.0.2
Release: 1%{?dist}
Summary: Answers the question of what the latest Ruby version is
License: zlib
URL: https://github.com/kyrylo/latest_ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pry)
BuildArch: noarch

%description
Knows about MRI, Rubinius, JRuby, MagLev and MacRuby.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENCE
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/latest_ruby.gemspec
%{gem_instdir}/test

%changelog
* Mon Sep 13 2021 mockbuilder - 3.0.2-1
- Initial package
